/* @refresh reload */
import { render } from 'solid-js/web';
import { Router, useRoutes, hashIntegration } from "@solidjs/router";

import routes from "./router/index"
import './assets/css/index.css';

const root = document.getElementById('root');

if (import.meta.env.DEV && !(root instanceof HTMLElement)) {
    throw new Error(
        'Root element not found. Did you forget to add it to your index.html? Or maybe the id attribute got misspelled?',
    );
}

render(() => {
    const Routes = useRoutes(routes);
    return <Router source={hashIntegration()}>
        <Routes />
    </Router>
}, root);
