import { createSignal } from "solid-js";
import "../assets/css/pages/main.css";

import Skeleton from "./skeleton/skeleton";
import Table from "../components/table";

function Main() {
    const [pagename, setPagename] = createSignal('');

    function getPagename(page_name) {
        setPagename(page_name);
    }

    return (
        <Skeleton getPagename={getPagename}>
            <div class="main">
                <h2 className="title">{pagename()}</h2>

                <Table 
                    list={[
                        {
                            title: '盛世中华 何以中国丨陕西考古博物馆：用考古讲好中国故事 让文物“活”起来',
                            activity_name: '盛世中华 何以中国'
                        }
                    ]}
                />
            </div>
        </Skeleton>
    );
}

export default Main;
