import "../../assets/css/pages/skeleton.css";
import { For, createSignal } from "solid-js";


import Menu from "./menu";

function Skeleton(prop) {
    const [act_menu, set_act_menu] = createSignal(0);
    const menus = [
        {
            text: '文案管理',
            path: '/'
        },
        {
            text: '媒体管理',
            path: '/'
        },
        {
            text: '日程安排',
            path: '/'
        },
        {
            text: '直播管理',
            path: '/'
        },
        {
            text: '活动管理',
            path: '/'
        }
    ]
    prop.getPagename && prop.getPagename(menus[act_menu()].text)
    function change_menu(index) {
        // 切换菜单
        set_act_menu(index);
        prop.getPagename && prop.getPagename(menus[index].text)
    }

    return (
        <div class="skeleton">
            <header class="header" >盛世中华</header>
            <div className="skeleton_left">
                {/* 菜单 */}
                <For each={menus}>{(item, index) =>
                    <Menu getClick={change_menu} menu={{...item, index: index()}} act={act_menu() === index()} />
                }</For>
            </div>
            <div className="skeleton_right">{prop.children}</div>
        </div>
    );
}

export default Skeleton;
